=== debian/changelog ===
ros-humble-moveit-kinematics (2.5.5-1jammy) jammy; urgency=high

  * Fix ikfast package template (#2195 <https://github.com/ros-planning/moveit2/issues/2195>) (#2199 <https://github.com/ros-planning/moveit2/issues/2199>)
    (cherry picked from commit 21036b58e99876928b46e3cc4603a9eb9b85e11d)
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
  * Fix clang compiler warnings (backport of #1712 <https://github.com/ros-planning/moveit2/issues/1712>) (#1896 <https://github.com/ros-planning/moveit2/issues/1896>)
    - Fix warning: definition of implicit copy assignment operator is deprecated
    - Fix warning: expression with side effects will be evaluated
    - Fix warning: passing by value
    - Enable -Werror
    - Fix -Wdelete-non-abstract-non-virtual-dtor
    - Fix more clang warnings
    - Modernize gtest: TYPED_TEST_CASE -> TYPED_TEST_SUITE
    - Fix GoogleTestVerification.UninstantiatedTypeParameterizedTestSuite
    - Add default copy/move constructors/assignment operators
    As a user-declared destructor deletes any implicitly-defined move constructor/assignment operator,
    we need to declared them manually. This in turn requires to declare the copy constructor/assignment as well.
    - Explicitly declare overrides
    - Add default constructors as they are not implicitly declared anymore
    - Declare selected classes as final
    - Add noexcept specifier to constructors
    - Fixup gmock/gtest warnings
  * Contributors: Robert Haschke, mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-humble-moveit-kinematics (2.5.4-1jammy) jammy; urgency=high

  * Backport to Humble (#1642 <https://github.com/ros-planning/moveit2/issues/1642>)
    Co-authored-by: Robert Haschke <mailto:rhaschke@techfak.uni-bielefeld.de>
    Co-authored-by: Michael Görner <mailto:me@v4hn.de>
    Co-authored-by: Jochen Sprickerhof <mailto:git@jochen.sprickerhof.de>
  * Use pragma once as header include guard (#1525 <https://github.com/ros-planning/moveit2/issues/1525>) (#1652 <https://github.com/ros-planning/moveit2/issues/1652>)
    (cherry picked from commit 7d758de1b2f2904b8c85520129fa8d48aad93713)
    Co-authored-by: J. Javan <mailto:J-Javan@users.noreply.github.com>
  * Unified code comment style (#1053 <https://github.com/ros-planning/moveit2/issues/1053>) (#1648 <https://github.com/ros-planning/moveit2/issues/1648>)
    * Changes the comment style from /**/ to //
    Co-authored-by: JafarAbdi <mailto:cafer.abdi@gmail.com>
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    (cherry picked from commit 1d67b519e6ef9ca1ebba494743791da998b72950)
    Co-authored-by: Michael Marron <mailto:62182318+michael-marron@users.noreply.github.com>
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>) (#1483 <https://github.com/ros-planning/moveit2/issues/1483>)
  * Contributors: Tyler Weaver, mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 03 Nov 2022 23:00:00 -0000

ros-humble-moveit-kinematics (2.5.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-humble-moveit-kinematics (2.5.2-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * Removing some boost usage (#1331 <https://github.com/ros-planning/moveit2/issues/1331>)
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Update plugin library paths (#1304 <https://github.com/ros-planning/moveit2/issues/1304>)
  * Switch to hpp headers of pluginlib
  * Merge pull request #3106 <https://github.com/ros-planning/moveit2/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * Fix clang-tidy
  * kinematics test: remove unused argument
  * Contributors: David V. Lu, Henry Moore, Jochen Sprickerhof, Michael Görner, Robert Haschke, Sebastian Jahr, Vatan Aksoy Tezer, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Jul 2022 22:00:00 -0000

ros-humble-moveit-kinematics (2.5.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 30 May 2022 22:00:00 -0000

ros-humble-moveit-kinematics (2.5.0-1jammy) jammy; urgency=high

  * Fix reading joint weights in KDLKinematicsPlugin (#1216 <https://github.com/ros-planning/moveit2/issues/1216>)
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Avoid bind(), use lambdas instead (#1204 <https://github.com/ros-planning/moveit2/issues/1204>)
    Adaption of https://github.com/ros-planning/moveit/pull/3106
  * remove unused arguments from kinematics test
    source https://github.com/ros-planning/moveit/pull/3106/commits/ddb68b6178ecfde267b5c7c9734aa47f6c4c4a5f; I also had to amend moveit_msgs to moveit_msgs::msg in this commit, otherwise everything remains the same as source commit. When I ran the kinematics plugin test locally it threw an error both before and after this change. Hopefully we can revisit this point as part of the code review, the error related to the robot description.
  * Use orocos_kdl_vendor package (#1207 <https://github.com/ros-planning/moveit2/issues/1207>)
  * Use a steady clock for timeout for IK (#795 <https://github.com/ros-planning/moveit2/issues/795>)
  * Merge https://github.com/ros-planning/moveit/commit/a25515b73d682df03ed3eccd839110c296aa79fc
  * Merge https://github.com/ros-planning/moveit/commit/ab42a1d7017b27eb6c353fb29331b2da08ab0039
  * Compilation fixes for Jammy and bring back Rolling CI (#1095 <https://github.com/ros-planning/moveit2/issues/1095>)

