=== debian/control ===
Source: ros-humble-moveit-kinematics
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-class-loader, ros-humble-launch-param-builder <!nocheck>, ros-humble-moveit-common, ros-humble-moveit-configs-utils <!nocheck>, ros-humble-moveit-core, ros-humble-moveit-msgs, ros-humble-moveit-resources-fanuc-description <!nocheck>, ros-humble-moveit-resources-fanuc-moveit-config <!nocheck>, ros-humble-moveit-resources-panda-description <!nocheck>, ros-humble-moveit-resources-panda-moveit-config <!nocheck>, ros-humble-moveit-ros-planning <!nocheck>, ros-humble-orocos-kdl-vendor, ros-humble-pluginlib, ros-humble-ros-testing <!nocheck>, ros-humble-tf2, ros-humble-tf2-kdl, ros-humble-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-humble-moveit-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, python3-lxml, ros-humble-class-loader, ros-humble-moveit-common, ros-humble-moveit-core, ros-humble-moveit-msgs, ros-humble-orocos-kdl-vendor, ros-humble-pluginlib, ros-humble-tf2, ros-humble-tf2-kdl, ros-humble-urdfdom, ros-humble-ros-workspace
Description: Package for all inverse kinematics solvers in MoveIt
